
/**
 *  Web唐明明
 *  匆匆数载恍如梦，岁月迢迢华发增。
 *  碌碌无为枉半生，一朝惊醒万事空。
 *  explain: cardPhoto
 */

Component({
    /**
     * 组件的属性列表
     */
    properties: {
        // 照片
        photos: {
            type    : Array,
            value   : []
        }
    },

    /**
     * 组件的方法列表
     */
    methods: {
        // 查看照片
        openPhotos(e){
            let photoArr   = this.data.photos,
                photoIndex = e.currentTarget.dataset.index

            wx.previewImage({
                urls    : photoArr,
                current : photoArr[photoIndex]
            })
        }
    }
})
